Skip to main content
GET
/
stores
/
{storeId}
/
customers
/
search
/
{query}
Search customers
curl --request GET \
  --url https://api.komerza.com/stores/{storeId}/customers/search/{query} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "pages": 123,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dateCreated": "2023-11-07T05:31:56Z",
      "emailAddress": "<string>",
      "status": "<string>",
      "isAffiliate": true,
      "totalSpend": 123,
      "averageSpend": 123,
      "totalOrders": 123,
      "isBlocked": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.komerza.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

query
string
required

The query to search by

storeId
string<uuid>
required

The ID of the store whose customers to retrieve.

Query Parameters

email
string

Filter by email address (case-insensitive contains).

ipAddress
string

Filter by the IP address the customer used (case-insensitive contains).

balanceFrom
number<double>

Minimum balance (inclusive).

balanceTo
number<double>

Maximum balance (inclusive).

stripeCustomerId
string

Filter by Stripe customer ID (exact match).

affiliateCode
string

Filter by the store-affiliate’s code (case-insensitive contains).

Filters
string
Sorts
string
Page
integer<int32>
Required range: 1 <= x <= 2147483647
PageSize
integer<int32>
Required range: 1 <= x <= 2147483647

Response

The object was successfully returned.

Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.

success
boolean
required
read-only

Indicates whether the operation was successful

pages
integer<int32>
required

The total number of pages available in the paginated response.

data
object[]
required

Represents the collection of items within a paginated response